///  string_extensions.dart
///
///  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
///
///  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
///  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
///  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
///  This notice may not be removed from this file.

import 'package:flutter/foundation.dart';

extension StringExtension on String {
  String capitalize() {
    if (isEmpty) {
      return this;
    } else {
      return this[0].toUpperCase() + substring(1);
    }
  }
}

void conversionLog(String msg){
  if (kDebugMode) {
    StringBuffer sb = StringBuffer();
    sb.write("CPDFConversion");
    sb.write(" : ");
    sb.write(msg);
    print(sb.toString());
  }
}